LINUX.ORG.RU

openSUSE 13.1

 , ,


3

5

Спустя 8 месяцев, сегодня, 19 ноября 2013 года, выходит новая версия популярного дистрибутива openSUSE 13.1 под кодовым названием «Bottle». Данный выпуск, базируется как Evergreen — сроком поддержки обновлений до 3 лет. Новая версия обещает быть еще стабильнее, за счет улучшений в сервисе тестирования пакетов openQA и успешной организации BetaPizza Hackaton. Проведен большой объем работы по тестированию файловой системы Btrfs, ожидается включение по умолчанию в следующей версии дистрибутива.

Основные изменения:

  • Ядро Linux 3.11 поддерживает DPM, улучшена работа файловых систем.
  • Набор компиляторов GCC 4.8, представлена работа с архитектурой AArch64.
  • Mesa 9.2 с поддержкой UVD и новой порцией расширений OpenGL.
  • Быстрый и дерзкий systemd 208 продолжил свой путь развития.
  • Системный конфигуратор Yast был переписан на Ruby, удалены устаревшие модули.
  • По умолчанию включен программный инструмент защиты AppArmor.
  • Проект Enlightenment E17 получил фирменную тему openSUSE.
  • Комплекс по созданию облачных хранилищ OpenStack обновлен до версии Havana.
  • Новый сервис хранилища документации ActiveDoc призванный заменить doc.opensuse.org.

KDE SC 4.11:

  • Qt 4.8.5 (доступно 5.1.1).
  • Переработан экран входа в систему, улучшен внешний вид.
  • Новый инструмент управления многомониторными конфигурациями KScreen.
  • Доработан механизм PackageKit ZYpp для лучшей интеграции с Apper.
  • Улучшена ситуация с утечками памяти, повышена производительность.

Gnome 3.10:

  • GTK+ 3.10.2.
  • Заголовочная строка (header bar) приобрела новый вид.
  • Представлены новые приложения — Music, Notes, Maps, Photos и Software.
  • Анонсирована корректная поддержка дисплеев с высокой плотностью точек.
  • Продолжена работа по унификации системы.

Обновлены популярные программы:

  • Firefox 25;
  • LibreOffice 4.1;
  • Chromium 31;
  • Amarok 2.8;
  • Vim 7.4;
  • Vlc 2.1.

Have a lot of fun!

>>> Полный список изменений

>>> Скачать образы

★★★★

Проверено: riki ()

Кстати какая версия KDE SC 4.11.х в этой версии зюзи в базовой поставке??

Freiheits-Sender ★★ ()

обновился 12.3 (с dvd диска) - ругался на grub в конце (както прошел дальше)

отредактировал пути репозитариев, вызываю управление пакетами и после синхронизации получаю:

# /sbin/yast2 sw_single
terminate called after throwing an instance of 'YUINoDialogException'
  what():  No dialog existing
YaST got signal 6 at YCP file /usr/share/YaST2/clients/sw_single.ycp:721
/sbin/yast2: line 431:  6836 Aborted                 $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS

при этом /sbin/yast2 --gtk работает нормально

что ему надо?

x905 ★★★★★ ()
Ответ на: комментарий от x905

что-то нехорошее, *.ycp - это старый яст, новые модули на руби *.rb

хз, попробуй вычистить и переставить яст

PS или обновился до 12.3? непонятно

kott ★★★★★ ()
Последнее исправление: kott (всего исправлений: 1)
Ответ на: комментарий от x905

установил «сложным» методом дрова nvidia

запустил glxgears - ок, закрываю и kwin падет

> glxgears 
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
302 frames in 5.0 seconds = 60.375 FPS
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 57 requests (57 known processed) with 0 events remaining.

mc в поставке безобразно старый, сразу обновил на 4.8.10

обновил дома, потому эти баги не страшны, а хотел позже на работе 12.2 обновить, вот теперь в сомненья )

x905 ★★★★★ ()
Ответ на: комментарий от kott

что-то нехорошее, *.ycp - это старый яст, новые модули на руби *.rb
хз, попробуй вычистить и переставить яст

да, видимо обновление не прошло гладко
удалить/переставить какие пакеты ?

PS или обновился до 12.3? непонятно

c 123 до 131 (все 64 бита)

x905 ★★★★★ ()
Ответ на: комментарий от x905

удалить/переставить какие пакеты ?

да весь яст, пожалуй, с помощью зиппера

запустил glxgears - ок, закрываю и kwin падет

глянь ошибки /var/log/Xorg-чего-то там и в .xsession-errors

kott ★★★★★ ()
Последнее исправление: kott (всего исправлений: 1)
Ответ на: комментарий от kott

думаю обновление не прошло гладко

я умолчал что в процессе обновления dvd-драйв дважды заклинивало (железо ключит), я перезагружался комп и продолжал обновления (при этом я полагал что раз инсталлятор не ругается и продолжает, то значит часть установил ок. при этом ничего другого он и не предлагал)

сейчас вижу что zypper dup хочет скачать еще 1.48gb новых пакетов - вечером попробую «дообновить»

x905 ★★★★★ ()
Ответ на: комментарий от x905

ну, успехов:)
а чего не с iso обновлялся?

kott ★★★★★ ()
Ответ на: комментарий от kott

а чего не с iso обновлялся?

прям с iso файла ? как ?

x905 ★★★★★ ()
Ответ на: комментарий от anonymous

Спасибо! Помогло, кириллица в консоли появилась. Я честно говоря слышал что есть такой пакет, просто лень искать было ))

mbivanyuk ★★★★★ ()
Ответ на: комментарий от awesomenickname

В 2003-м было полно звуковух с гейм-портами, на матерях они были, да и джойстики продавались (те же Genius и Logitech) везде. Как же ты так пропустил?

Sluggard ()
Ответ на: комментарий от x905

я так обновлялся, подключаешь исо, отключаешь остальные репы, zyper ref, zypper up

kott ★★★★★ ()
Ответ на: комментарий от Sluggard

Я тогда просто играл, много играл в игры! Другие радости жизни меня уже не интересовали. Хотя на Celeron 1700 особо не поиграешь если чесно, тот же Duron 900 mhz работал куда производительнее. Так вот и испортилось впечатление об Intel, подозреваю на всю жизнь :)

awesomenickname ★★★★ ()
Ответ на: комментарий от registrant

то, что добавить можно я знаю, но что и обновиться с него - както сомневаюсь, есть положительный опыт ?

x905 ★★★★★ ()
Ответ на: комментарий от x905

да ото всюду можно, я после RC2 iso обновился до релиза из он-лайн репы

kott ★★★★★ ()
Ответ на: комментарий от x905

да, конечно. просто там пакетов поменьше, чем в oss-репе, не все обновится. zypper dup - и все дела.

registrant ★★★★★ ()
Последнее исправление: registrant (всего исправлений: 1)

Поставил всё-таки. Не регулируется уровень подсветки в KDE. То есть ползунок двигается, но на уровень яркости это никак не влияет - она на максимуме. Странно, в RC1 всё работало.

Sluggard ()

добавил iso

zypper lr
#  | Alias                     | Name                               | Enabled | Refresh
---+---------------------------+------------------------------------+---------+--------
 1 | 131-dvd                   | 131-dvd                            | Yes     | No     
 2 | contr_std                 | contr_std                          | No      | No     
 3 | graph                     | graph                              | No      | No     
 4 | openSUSE-13.1-1.6         | openSUSE-13.1-1.6                  | No      | No     
 5 | packman                   | packman                            | Yes     | No     
 6 | repo-debug                | openSUSE-13.1-Debug                | No      | No     
 7 | repo-debug-update         | openSUSE-13.1-Update-Debug         | No      | No     
 8 | repo-debug-update-non-oss | openSUSE-13.1-Update-Debug-Non-Oss | No      | No     
 9 | repo-non-oss              | openSUSE-13.1-Non-Oss              | Yes     | No     
10 | repo-oss                  | openSUSE-13.1-Oss                  | Yes     | No     
11 | repo-source               | openSUSE-13.1-Source               | No      | No     
12 | repo-update               | openSUSE-13.1-Update               | No      | No     
13 | repo-update-non-oss       | openSUSE-13.1-Update-Non-Oss       | No      | No     
14 | std                       | std                                | Yes     | No

теперь при zypper dup имею http://pastebin.com/1M4QTjBC

1. пакеты будут закачиватся или браться из iso ?

2. зачем мне предлагают установить texlive-* ? мне они совершенно не нужны и не установлены сейчас

наверно чтото я делаю не так )

x905 ★★★★★ ()
Ответ на: комментарий от x905

обновил дома, потому эти баги не страшны, а хотел позже на работе 12.2 обновить, вот теперь в сомненья )

Не надо ЭТО тащить на работу. Глюкодром там приличный. Дай новой версии хотя бы пару месяцев обкататься на других.

Shtirliz72 ()
Ответ на: комментарий от x905

не знаю, откуда тянется texlive, но packman'а и std я бы отключил

kott ★★★★★ ()
Ответ на: комментарий от kott

packman'а и std я бы отключил

ок, попробую завтра

x905 ★★★★★ ()
Ответ на: комментарий от x905

обновил дома 12.3, обновление в X не прошло гладко - застряло на какомто пакете (я пока ждал смотрел youtube, пил пиво)

ушел в консоль, обновил до конца, поставил nvidia, glxgears ok, kwin не падет

продолжу настройку ...

(зачем мне hplip если ни принтера ни сканера нет дома ...)

x905 ★★★★★ ()

После обновления отвалился VirtualBox, точнее его модуль ядра. Обычный способ поднять его через /etc/vboxsrv не покатил, пишет что модуль уже опакечен. Пришлось ставить бокса с официального сайта. Не айс

hoopoe ★★ ()
Ответ на: комментарий от x905

зачем мне hplip если ни принтера ни сканера нет дома

*Голосом Ивана Васильевича* Так покупай :)

hoopoe ★★ ()
Ответ на: комментарий от hoopoe

*Голосом Ивана Васильевича* Так покупай :)

так на работе есть )

x905 ★★★★★ ()
Ответ на: комментарий от anonymous

Сломали в 12.1, когда сделали Systemd. Но так как в 12.1 и 12.2 он отключался, я увидел эту ошибку только в 12.3.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от x905

обновление с 12.2 с использованием iso не прошло гладко - процесс шел очень медленно и застревал на отдельных пакетах (rtkit например и др.)
прервал, загрузился с dvd, обновил все ок довольно быстро

т.к. комп не быстрый (E2220/1gb/160gb), то притормаживания увеличились (пора менять, но пока для его задач хватало)

заметил что при установки пакета из образа (когда образ монтируется через loop), то kde зачем в трее показывает что не смог его смонтировать - такие баги и ранее были (с лишними ненужными уведомлениями, например от truecrypt), похоже не убрали

x905 ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

перенос файлов и отденьный /usr не включается

anonymous ()

zypper dup предлагает удалить xorg-x11-server и остальные потроха. zypper up точно так же. zypper ve тоже! Как диагностировать проблему?

Pyzia ★★★ ()

На домашнем компьютере обновление прошло замечательно

susist ()
Ответ на: комментарий от registrant
zypper -vvv ve
Уровень подробностей: 3
Инициализация цели
Проверка, обновлять ли метаданные для openSUSE-12.3-1.7
Проверка, обновлять ли метаданные для packman-essentials
Проверка, обновлять ли метаданные для packman-multimedia
Проверка, обновлять ли метаданные для openSUSE-12.3-Oss
Проверка, обновлять ли метаданные для openSUSE-12.3-Update
Загрузка данных о репозиториях...
Чтение установленных пакетов...
Принудительное решение: Нет
Проверка зависимостей...

Следующие обновления НЕ будут установлены:
  dbus-1                          1.6.8-2.10.1            x86_64  openSUSE-12.3-Update  openSUSE                     
  dbus-1-devel                    1.6.8-2.10.1            x86_64  openSUSE-12.3-Update  openSUSE                     
  dbus-1-x11                      1.6.8-2.10.1            x86_64  openSUSE-12.3-Update  openSUSE                     
  gstreamer-0_10                  0.10.36-14.3            x86_64  packman-essentials    http://packman.links2linux.de
  gstreamer-0_10-plugin-gnomevfs  0.10.36-12.12           x86_64  packman-essentials    http://packman.links2linux.de
  gstreamer-0_10-plugins-base     0.10.36-12.12           x86_64  packman-essentials    http://packman.links2linux.de
  gstreamer-0_10-plugins-good     0.10.31-16.3            x86_64  packman-essentials    http://packman.links2linux.de
  gstreamer-plugins-bad           1.2.1-5.4               x86_64  packman-essentials    http://packman.links2linux.de
  gstreamer-plugins-base          1.2.1-2.2               x86_64  packman-essentials    http://packman.links2linux.de
  gstreamer-plugins-good          1.2.1-2.2               x86_64  packman-essentials    http://packman.links2linux.de
  icedtea-web                     1.4.1-4.22.1            x86_64  openSUSE-12.3-Update  openSUSE                     
  k3b                             2.0.80.git20131118-1.1  x86_64  packman-essentials    http://packman.links2linux.de
  krb5                            1.10.2-10.22.1          x86_64  openSUSE-12.3-Update  openSUSE                     
  krb5-32bit                      1.10.2-10.22.1          x86_64  openSUSE-12.3-Update  openSUSE                     
  libdbus-1-3                     1.6.8-2.10.1            x86_64  openSUSE-12.3-Update  openSUSE                     
  libdbus-1-3-32bit               1.6.8-2.10.1            x86_64  openSUSE-12.3-Update  openSUSE                     
  libgstapp-0_10-0                0.10.36-12.12           x86_64  packman-essentials    http://packman.links2linux.de
  libgstinterfaces-0_10-0         0.10.36-12.12           x86_64  packman-essentials    http://packman.links2linux.de
  libgstreamer-0_10-0             0.10.36-14.3            x86_64  packman-essentials    http://packman.links2linux.de
  libopus0                        1.0.3-4.1               x86_64  packman-essentials    http://packman.links2linux.de
  libsox2                         14.4.1-41.1             x86_64  packman-multimedia    http://packman.links2linux.de
  libstrigi0                      0.7.8-8.3               x86_64  packman-essentials    http://packman.links2linux.de
  MozillaFirefox                  25.0-1.39.1             x86_64  openSUSE-12.3-Update  openSUSE                     
  mozilla-nspr                    4.10.2-1.22.1           x86_64  openSUSE-12.3-Update  openSUSE                     
  sox                             14.4.1-41.1             x86_64  packman-multimedia    http://packman.links2linux.de
  strigi                          0.7.8-8.3               x86_64  packman-essentials    http://packman.links2linux.de
  xorg-x11-server                 7.6_1.13.2-1.17.1       x86_64  openSUSE-12.3-Update  openSUSE                     


Будут УДАЛЕНЫ следующие пакеты:
  curl                    7.28.1-4.13.1      x86_64  openSUSE
  curl                    7.28.1-4.17.1      x86_64  openSUSE
  dbus-1                  1.6.8-2.3.1        x86_64  openSUSE
  dbus-1                  1.6.8-2.6.1        x86_64  openSUSE
  dbus-1-devel            1.6.8-2.3.1        x86_64  openSUSE
  dbus-1-devel            1.6.8-2.6.1        x86_64  openSUSE
  dbus-1-x11              1.6.8-2.3.1        x86_64  openSUSE
  dbus-1-x11              1.6.8-2.6.1        x86_64  openSUSE
  icedtea-web             1.4-4.14.1         x86_64  openSUSE
  icedtea-web             1.4-4.18.1         x86_64  openSUSE
  krb5                    1.10.2-10.13.1     x86_64  openSUSE
  krb5                    1.10.2-10.17.1     x86_64  openSUSE
  krb5-32bit              1.10.2-10.13.1     x86_64  openSUSE
  krb5-32bit              1.10.2-10.17.1     x86_64  openSUSE
  libcurl4                7.28.1-4.13.1      x86_64  openSUSE
  libcurl4                7.28.1-4.17.1      x86_64  openSUSE
  libdbus-1-3             1.6.8-2.3.1        x86_64  openSUSE
  libdbus-1-3             1.6.8-2.6.1        x86_64  openSUSE
  libdbus-1-3-32bit       1.6.8-2.3.1        x86_64  openSUSE
  libdbus-1-3-32bit       1.6.8-2.6.1        x86_64  openSUSE
  librcc0                 0.2.10-2.1.1       x86_64  openSUSE
  librcc0                 0.2.10-2.4.1       x86_64  openSUSE
  libstorage4             2.23.10-1.4.1      x86_64  openSUSE
  libstorage4             2.23.11-1.8.1      x86_64  openSUSE
  libtag1                 1.8-3.9.1          x86_64  openSUSE
  libtag1                 1.8-3.13.1         x86_64  openSUSE
  MozillaFirefox          21.0-1.18.1        x86_64  openSUSE
  MozillaFirefox          22.0-1.25.1        x86_64  openSUSE
  MozillaFirefox          23.0-1.29.1        x86_64  openSUSE
  MozillaFirefox          24.0-1.33.1        x86_64  openSUSE
  mozilla-nspr            4.9.6-1.7.1        x86_64  openSUSE
  mozilla-nspr            4.9.6-1.10.1       x86_64  openSUSE
  mozilla-nspr            4.10-1.14.1        x86_64  openSUSE
  perl-X500-DN            0.29-100.1.1       x86_64  openSUSE
  perl-X500-DN            0.29-100.4.1       x86_64  openSUSE
  xdm                     1.1.10-14.6.1      x86_64  openSUSE
  xdm                     1.1.10-14.10.1     x86_64  openSUSE
  xf86-video-modesetting  0.6.0-2.1.1        x86_64  openSUSE
  xf86-video-modesetting  0.8.0-2.4.1        x86_64  openSUSE
  xorg-x11-server         7.6_1.13.2-1.5.1   x86_64  openSUSE
  xorg-x11-server         7.6_1.13.2-1.9.1   x86_64  openSUSE
  xorg-x11-server         7.6_1.13.2-1.13.1  x86_64  openSUSE
  yast2-storage           2.23.9-1.4.1       x86_64  openSUSE
  yast2-storage           2.23.9-1.7.1       x86_64  openSUSE


44 пакета для удаления.
После этой операции будет освобождено 263,0 MiB.
Некоторые из зависимостей установленных пакетов нарушены. Для того, чтобы исправить эти зависимости, необходимо выполнить следующие действия:
Продолжить? [y/n/? shows all options] (y):
Pyzia ★★★ ()
Ответ на: комментарий от Pyzia

надо же так систему засрать. тебя не смущает, что на машине установлено минимум 3 версии xorg-x11-server? да и других пакетов это касается, смотри внимательно на предлагаемые к удалению. сначала удали все _лишнее_, хотя зиппер это видимо и предлагает. но помойка у тебя знатная, как тебе это удалось?

registrant ★★★★★ ()
Ответ на: комментарий от Pyzia

и репки все отключи (если есть), кроме 13.1

kott ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.